Skip to main content
POST
Starts an RDB export: a Job copies the deployment's data, one RDB file per shard, into a backup repository (the default one unless `repository` is set)

Authorizations

token
string
cookie
required

JWT token stored in HTTP-only cookie

Path Parameters

clusterName
string
required

Query Parameters

namespace
string
required
Minimum string length: 1

Body

application/json
repository
string
Minimum string length: 1
node

Read from a replica when the shard has one (default), or always from the primary.

Available options:
replica
filters
object
resources
object

Response

Default Response

name
string
required
namespace
string
required
kind
required
Available options:
export
clusterName
string
required
clusterNamespace
string
required
phase
required
Available options:
Pending
createdAt
string
required
startedAt
string
completedAt
string
createdBy
string
scheduleName
string
repository
string
path
string
node

Read from a replica when the shard has one (default), or always from the primary.

Available options:
replica
mode
Available options:
merge
source
string
sourceType
Available options:
export
files
object[]
keysImported
integer
keysSkipped
integer
rollback
object
rollbackOf
string
message
string